import { http } from '@/utils/http'

// 供应商分类
export const addSupplierType = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/supplier/type/addSupplierType',
    data,
  })
}
// 供应商分类修改
export const updateSupplierType = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/supplier/type/updateSupplierType',
    data,
  })
}

// 查询供应商分类分页
export const getSupplierTypePage = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/supplier/type/getSupplierTypePage',
    data,
  })
}

// 查询供应商分类列表
export const getSupplierTypeList = () => {
  return http({
    method: 'GET',
    url: '/api/supplier/type/getSupplierTypeList',
  })
}

// 查询供应商分类列表
export const addSupplierUser = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/supplier/user/addSupplierUser',
    data,
  })
}

// 修改供应商
export const updateSupplierUser = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/supplier/user/updateSupplierUser',
    data,
  })
}

//查询供应商分页
export const getSupplierUserPage = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/supplier/user/getSupplierUserPage',
    data,
  })
}

//查询供应商列表
export const getSupplierUserList = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/supplier/user/getSupplierUserList',
    data,
  })
}

